%define dist .fc6

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           notify-python
Version:        0.1.0
Release:        3%{?dist}.XOS.1
Summary:        Python bindings for libnotify

Group:          Development/Languages
License:        LGPL
URL:            http://www.galago-project.org/specs/notification
Source0:        http://www.galago-project.org/files/releases/source/notify-python/notify-python-%{version}.tar.gz
Patch0:         %{name}-%{version}-attach_to_status_icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, pkgconfig, libnotify-devel, pygtk2-devel
BuildRequires:  gtk2-devel, dbus-devel, dbus-glib-devel

Requires:   libnotify >= 0.4.0
Requires:   notification-daemon

%define pypkgname pynotify

%description
Python bindings for libnotify

%prep
%setup -q
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS"
PYTHON=%{__python}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# remove unnecessary pkgconfig file
rm $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/%{name}.pc
# remove unnecessary la file
rm $RPM_BUILD_ROOT/%{python_sitearch}/gtk-2.0/%{pypkgname}/_%{pypkgname}.la

 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{python_sitearch}/gtk-2.0/%{pypkgname}
%{_datadir}/pygtk/2.0/defs/%{pypkgname}.defs

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.1.0-3.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on notify-python-0.1.0-3.fc6.src.rpm
  (md5sum of original source rpm: c1afeaf9641a6dcd2b3978a1f4a76a11).
- Include "dist" macro with value ".fc6" to match the original release number.

* Tue Aug 15 2006 Luke Macken <lmacken@redhat.com> - 0.1.0-3
- Add notify-python-0.1.0-attach_to_status_icon.patch to allow the attaching
  notifications to status icons.

* Thu Jul 20 2006 John Dennis <jdennis@redhat.com> - 0.1.0-2
- change use of python_sitelib to python_sitearch, add BuildRequires

* Wed Jul 19 2006 John Dennis <jdennis@redhat.com> - 0.1.0-1
- Initial build

